# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'platformx/version'

Gem::Specification.new do |spec|
  spec.name          = "platformx"
  spec.version       = Platformx::VERSION
  spec.authors       = ["timmushen"]
  spec.email         = ["tim.mushen@gmail.com"]
  spec.summary       = %q{PlatformX Gem}
  spec.description   = %q{PlatformX Gem for PlatformX}
  spec.homepage      = "https://bitbucket.org/timmushen/platformx-gem"
  spec.license       = "Use by permission only."

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  
  # Add Gems 
  # spec.add_dependency "digest", "~> 0"
  spec.add_dependency "json", '~> 1.8', '>= 1.8.3'
  spec.add_dependency "sinatra-contrib"
  spec.add_dependency "sinatra-partial"
  spec.add_dependency "sinatra-support"
  spec.add_dependency "encrypted_cookie"
  spec.add_dependency "encryptor"
  spec.add_dependency "activesupport"
  spec.add_dependency "stripe"
  spec.add_dependency "better_errors"
  spec.add_dependency "rack-ssl-enforcer"
  spec.add_dependency "slugify"
  spec.add_dependency "sinatra-flash"
  spec.add_dependency 'datamapper', '~> 1.2'
  spec.add_dependency "dm-mysql-adapter"
  spec.add_dependency 'dm-validations', '~> 1.2'
  spec.add_dependency 'dm-types', '~> 1.2', '>= 1.2.2'
  spec.add_dependency 'dm-serializer', '~> 1.2', '>= 1.2.2'
  spec.add_dependency "faker"
  spec.add_dependency "uuidtools"
  spec.add_dependency "net-ssh"
  spec.add_dependency "fog"
  spec.add_dependency "bcrypt"
end